<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SubscriptionCurrencyPrice extends Model
{
    use HasFactory;

    protected $casts = [
        'price_monthly' => 'float',
        'price_yearly' => 'float'
    ];

    public function currency()
    {
        return $this->belongsTo(Currency::class);
    }

    public function subscription()
    {
        return $this->belongsTo(Subscription::class);
    }
}
